Bug 124449 - problems updating nfs-utils
problems updating nfs-utils
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: nfs-utils (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 13:01 EDT by jmccann
Modified: 2015-01-14 18:19 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-15 15:03:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jmccann 2004-05-26 13:01:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a)
Gecko/20040506 Firefox/0.8.0+

Description of problem:
Recently I used up2date to update nfs-utils.  First, the update failed
because it tried to restart (stop/start) the NFS service while it was
in use.  Second, it apparently removed the NFS service from the init
process.  So when I rebooted to activate the new changes it did not
bring up the NFS service that was initially added using:
chkconfig --level 345 nfs on

What is the recommended way to do this without breaking things?

Perhaps the SPEC file should query whether the service is active
before removing it:

chkconfig --list nfs

and use that list to start.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. up2date
2. update nfs-utils
3.
    

Additional info:

Here are the scripts in the RPM file:

%pre
/usr/sbin/useradd -c "RPC Service User" -r \
        -s /sbin/nologin -u 29 -d /var/lib/nfs rpcuser 2>/dev/null || :
# If UID 65534 is unassigned, create user "nfsnobody"
cat /etc/passwd | cut -d':' -f 3 | grep --quiet 65534 2>/dev/null
if [ "$?" -eq 1 ]; then
        /usr/sbin/useradd -c "Anonymous NFS User" -r \
                -s /sbin/nologin -u 65534 -d /var/lib/nfs nfsnobody
2>/dev/null || :
fi
                                                                     
           
%post
/sbin/chkconfig --add nfs
/sbin/chkconfig --add nfslock
%if %{nfsv4_support}
/sbin/chkconfig --add rpcidmapd
/sbin/chkconfig --add rpcgssd
/sbin/chkconfig --add rpcsvcgssd
%endif
                                                                     
           
%preun
if [ "$1" = "0" ]; then
    /etc/rc.d/init.d/nfs stop
    /sbin/chkconfig --del nfs
    /sbin/chkconfig --del nfslock
    /usr/sbin/userdel rpcuser 2>/dev/null || :
    /usr/sbin/groupdel rpcuser 2>/dev/null || :
    /usr/sbin/userdel nfsnobody 2>/dev/null || :
                                                                     
           
%if %{nfsv4_support}
        /etc/rc.d/init.d/rpcidmapd stop
        /etc/rc.d/init.d/rpcgssd stop
        /etc/rc.d/init.d/rpcsvcgssd stop
    /sbin/chkconfig --del rpcidmapd
    /sbin/chkconfig --del rpcgssd
    /sbin/chkconfig --del rpcsvcgssd
%endif
fi
                                                                     
           
%triggerpostun -- nfs-server
/sbin/chkconfig --add nfs
                                                                     
           
%triggerpostun -- knfsd
/sbin/chkconfig --add nfs
                                                                     
           
%triggerpostun -- knfsd-clients
/sbin/chkconfig --add nfslock
Comment 2 Jay Turner 2004-09-01 22:27:43 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-263.html

Note You need to log in before you can comment on or make changes to this bug.